Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#769 closed defect (fixed)

Minor boundary bug in rtems_io_register_driver

Reported by: dufault Owned by: Chris Johns
Priority: lowest Milestone: 4.9
Component: score Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@…, sebastian.huber@… Blocked By:
Blocking:

Description

Is the check where it returns RTEMS_TOO_MANY a boundary error in rtems_io_register_driver (cpukit/sapi/src/io.c), or is there something behind the scenes that means the code is correct but it needs a comment?

You've counted down to zero, and it appears the slot at zero is empty so you could use it, but the code returns RTEMS_TOO_MANY. I think you want to use that slot in that case.

Release:
4.6.99

Environment:
All

Change History (6)

comment:1 Changed on 03/17/05 at 13:38:20 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 08/05/08 at 15:05:56 by Joel Sherrill

Milestone: 4.9
Owner: changed from Joel Sherrill to Chris Johns
rep_platform: All
Status: assignednew

comment:3 Changed on 10/07/09 at 11:18:33 by Sebastian Huber

Cc: Sebastian Huber added

comment:4 Changed on 10/07/09 at 12:03:44 by Joel Sherrill

Cc: Joel Sherrill added

comment:5 Changed on 05/15/10 at 07:03:23 by Chris Johns

Resolution: fixed
Status: newclosed

comment:6 Changed on 05/15/10 at 07:03:40 by Chris Johns

Close.

Note: See TracTickets for help on using tickets.